Virtual machines
Add a disk
Add an empty disk of `sizeBytes` to a VM. Requires the **admin** role.
udon_session<token>
In: cookie
Path Parameters
id*string
The virtual machine's id, twelve lowercase hex characters.
Match
^[0-9a-f]{12}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/vms/string/disks" \ -H "Content-Type: application/json" \ -d '{ "sizeBytes": 0 }'{ "summary": { "id": "string", "name": "string", "description": "string", "backend": "apple", "guest": { "kind": "linux", "template": "string", "icon": "string" }, "cpus": 0, "memoryBytes": 0, "state": "stopped", "ip": "string", "startedAt": "2019-08-24T14:15:22Z", "error": "string", "autostart": true, "forwards": [ { "proto": "tcp", "hostPort": 0, "guestPort": 0 } ], "usage": { "cpu": 0, "memoryBytes": 0 }, "diskBytes": 0, "diskUsedBytes": 0, "windowVisible": true, "createdAt": "2019-08-24T14:15:22Z" }, "config": { "schema": 0, "id": "string", "name": "string", "description": "string", "backend": "apple", "guest": { "kind": "linux", "template": "string", "icon": "string" }, "cpus": 0, "memoryBytes": 0, "boot": { "kind": "efi" }, "disks": [ { "id": "string", "file": "string", "format": "asif", "sizeBytes": 0 } ], "media": [ { "id": "string", "kind": "iso", "file": "string", "imageID": "string" } ], "network": { "mode": "nat", "mac": "string", "forwards": [ { "proto": "tcp", "hostPort": 0, "guestPort": 0 } ] }, "display": { "width": 0, "height": 0 }, "serial": true, "autostart": true, "storageDirectory": "string", "createdAt": "2019-08-24T14:15:22Z" }, "directory": "string", "consoleAvailable": true, "forwardStatus": [ { "forward": { "proto": "tcp", "hostPort": 0, "guestPort": 0 }, "active": true, "error": "string" } ]}